org.apache.tomcat.dbcp.dbcp2.cpdsadapter

## Class PStmtKeyCPDS

- java.lang.Object
- - org.apache.tomcat.dbcp.dbcp2.PStmtKey
  - - org.apache.tomcat.dbcp.dbcp2.cpdsadapter.PStmtKeyCPDS

-     public class PStmtKeyCPDS
      extends PStmtKey

  A key uniquely identifying a `PreparedStatement`.
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PStmtKeyCPDS(String sql)`
    `PStmtKeyCPDS(String sql, int autoGeneratedKeys)`
    `PStmtKeyCPDS(String sql, int[] columnIndexes)`
    `PStmtKeyCPDS(String sql, int resultSetType, int resultSetConcurrency)`
    `PStmtKeyCPDS(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
    `PStmtKeyCPDS(String sql, String[] columnNames)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tomcat.dbcp.dbcp2.PStmtKey

      `getAutoGeneratedKeys, getCatalog, getResultSetConcurrency, getResultSetType, getSql, getStmtType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql)

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                      int autoGeneratedKeys)

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                      int resultSetType,
                      int resultSetConcurrency)

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                      int resultSetType,
                      int resultSetConcurrency,
                      int resultSetHoldability)

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                      int[] columnIndexes)

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                      String[] columnNames)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `PStmtKey`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `PStmtKey`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PStmtKey`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.